 
    var FTop = "";
	var FLeft = "";
    var BrowserHeight = "";

	var BrowserName = "";
	var BrowserVersion = "";

	var BrowserScrollTop = "";
	var BrowserScrollLeft = "";

	var ua = navigator.userAgent.toLowerCase();
	var callFolatLayer = {};
	var callFolatLayerDivName = "webCall";

 // var FloatPosition = "LeftBottom" // { LeftBottom(左下),LeftMiddle(左中),LeftTop(左上),RightBottom(右下),RightMiddle(右中),RightTop(右上)}
    var FloatPosition = "LeftBottom"; // { LeftBottom(左下),LeftMiddle(左中),LeftTop(左上),RightBottom(右下),RightMiddle(右中),RightTop(右上)}
	var number400 = "UjcDM1U3UTdRNlo4WGlTYVRgBGQ=";
	var unlock = "0";
	var tid = "3";

	//是否开启
	if(unlock != "0")
	{
		 
	
	var url = "http://web800.union400.com/script/web800Call.php?number400="+number400 +"&tid="+tid+"&userInfo=" + encodeURIComponent(window.location);
 	document.write('<style> #webCall{ position:absolute; width:280px; height:80px;z-index:999999;}</style>');
 	document.write('<div id="webCall"><iframe width="280" scrolling="no" height="80" frameborder="0" allowTransparency="true"   src="'+url+'"></div>');
	//document.write('<div id="webCall"><script src="'+url+'"></script>');


//浏览器信息
	BrowserName = getBrowseName(ua);
    BrowserVersion = getBrowseVersion(ua,BrowserName);

//漂浮层
    callFolatLayer = document.getElementById(callFolatLayerDivName);

//浏览器高度
    BrowserHeight = getBrowserHight(BrowserName,BrowserVersion);
	
//漂浮层默认位置
    FTop = getFloatDivTop(callFolatLayer,BrowserHeight,FloatPosition);
    FLeft = getFloatDivLeft(callFolatLayer,FloatPosition);
 
   
//设置漂浮层的初始位置

    setFloatLayerPosition(callFolatLayer,FTop,FLeft);
 
	window.onresize = function( )
	{
		 
		 BrowserHeight =  getBrowserHight(BrowserName,BrowserVersion);
		 FTop = getFloatDivTop(callFolatLayer,BrowserHeight,FloatPosition);
		 FLeft = getFloatDivLeft(callFolatLayer,FloatPosition);

		 BrowserScrollTop = getBrowserScrollTop(BrowserName,BrowserVersion);

		 setFloatLayerPosition(callFolatLayer,FTop+BrowserScrollTop,FLeft);
	
	}

	window.onscroll = function( )
	{
		
		BrowserScrollTop = getBrowserScrollTop(BrowserName,BrowserVersion);
		FTop = getFloatDivTop(callFolatLayer,BrowserHeight,FloatPosition)
	    FLeft = getFloatDivLeft(callFolatLayer,FloatPosition);
	
		setFloatLayerPosition(callFolatLayer,FTop+BrowserScrollTop,FLeft);

	}


}

//展示警告信息

//function playWarningInfo(infoContent)
//{

//	alert(infoContent);

//}


//得到浏览器名称
function getBrowseName(ua)
{
	var N=navigator.appName, ua=navigator.userAgent, tem;
    var M=ua.match(/(opera|chrome|safari|firefox|msie)\/?\s*(\.?\d+(\.\d+)*)/i);
    if(M && (tem= ua.match(/version\/([\.\d]+)/i))!= null) M[2]= tem[1];
    M=M? [M[1], M[2]]: [N, navigator.appVersion, '-?'];
    return M[0];

	
}


//得到浏览器版本
 function getBrowseVersion(ua,BrowserName)
{
	var BVersion = "";
	var N=navigator.appName, ua=navigator.userAgent, tem;
    var M=ua.match(/(opera|chrome|safari|firefox|msie)\/?\s*(\.?\d+(\.\d+)*)/i);
    if(M && (tem= ua.match(/version\/([\.\d]+)/i))!= null) M[2]= tem[1];
    M=M? [M[1], M[2]]: [N, navigator.appVersion, '-?'];
    return M[1];
	//return BVersion;
}

//得到漂浮层 top 值 

function getFloatDivTop(callFolatLayer,BrowserHeight,FloatPosition)
{
	var topValue = 0;
	var callFolatLayerHeight = 0;
 
		callFolatLayerHeight = getCallFolatLayerHeight(callFolatLayer);

		if(  FloatPosition == 'LeftTop' ||  FloatPosition == 'RightTop' )
		{
			//BrowserHeight = callFolatLayerHeight*1 + 10;
			return 10;
		}
		
		if(  FloatPosition == 'LeftMiddle' ||  FloatPosition == 'RightMiddle' )
		{
			BrowserHeight = BrowserHeight/2 + 10;
		}

		if(  FloatPosition == 'LeftBottom' ||  FloatPosition == 'RightBottom' )
		{
			BrowserHeight = BrowserHeight - 20 ;
		}
		
		topValue = BrowserHeight - callFolatLayerHeight ;
		 
	return topValue;
}


function getFloatDivLeft(callFolatLayer,FloatPosition)
{

	var leftValue = 0;
	var browserWidth = 0;
	var floatDivWidth = 0;

	browserWidth =  getBrowserWidth(BrowserName,BrowserVersion);
	floatDivWidth =  getCallFolatLayerWidth(callFolatLayer) ;

	if(FloatPosition == 'RightBottom' || FloatPosition == 'RightMiddle' || FloatPosition == 'RightTop')
    {
		leftValue = browserWidth*1 - floatDivWidth*1;
	}

    return leftValue
 
}


function getBrowserHight(BrowserName,BrowserVersion)
{
	var browserHight = 0;
  
 
		//ie 浏览器 ie6 到 ie9
		if( BrowserName == "MSIE" && ( BrowserVersion == "6.0" || BrowserVersion == "7.0" || BrowserVersion == "8.0" || BrowserVersion == "9.0"  ))
		{
			// browserHight = document.body.clientHeight;
			 browserHight =  document.documentElement.clientHeight
		}

		else if( BrowserName == "MSIE")
			 {
				//browserHight = document.body.clientHeight;
				browserHight =  document.documentElement.clientHeight
		     }

        //非ie
		if(BrowserName == "Opera" || BrowserName == "Chrome" || BrowserName == "Safari" || BrowserName == "Firefox" || BrowserName == "Netscape" )
		{
			browserHight = window.innerHeight;
		}
			
	 

	return browserHight;
 
}

function getBrowserWidth(BrowserName,BrowserVersion)
{
	var browserWidth = 0;
  
 
		//ie 浏览器 ie6 到 ie9
		if( BrowserName == "MSIE" && ( BrowserVersion == "6.0" || BrowserVersion == "7.0" || BrowserVersion == "8.0" || BrowserVersion == "9.0"  ))
		{
			// browserHight = document.body.clientHeight;
			 browserWidth =  document.documentElement.clientWidth
		}

		else if( BrowserName == "MSIE")
			 {
				//browserHight = document.body.clientHeight;
				browserWidth =  document.documentElement.clientWidth
		     }

        //非ie
		if(BrowserName == "Opera" || BrowserName == "Chrome" || BrowserName == "Safari" || BrowserName == "Firefox")
		{
			browserWidth = window.innerWidth;
		}
			
	 

	return browserWidth;
 
}

//得到某一个div的高度
function getCallFolatLayerHeight(divName)
{
	var divHeight = 0;
   
    divHeight = divName.offsetHeight;
	
	return divHeight;
}

function getCallFolatLayerWidth(divName)
{
	var divHeight = 0;
   
    divWidth = divName.offsetWidth;
	
	return divWidth;
}

function setFloatLayerPosition(callFolatLayer,FTop,FLeft)
{
	var floatLeft = FLeft*1 - 20;

	callFolatLayer.style.top = FTop+"px";
	callFolatLayer.style.left = FLeft+"px";
//callFolatLayer.style.top = FTop ;
}


function  getBrowserScrollTop(BrowserName,BrowserVersion)
{

	var ScrollHeight = 0;

	//ScrollHeight = document.body.scrollTop;
	if(BrowserName == "MSIE" && (BrowserVersion == "6.0" || BrowserVersion == "7.0" || BrowserVersion == "8.0") )
	{
		ScrollHeight = document.documentElement.scrollTop
	}
	else
	{
		ScrollHeight = window.pageYOffset;
	}

	return ScrollHeight;

}